/**
* 延迟消息
* 到发布时间后才加入到消息记录中
*/
#[primary=key,db=logfile]
struct DelayMessage {
    key: u32,    // 自增ID
    msg: String,    // 内容
    gid: u32,      // 群ID
    mtype: u32,    // 消息类型
    createtime: usize, // 创建时间
    pubtime: usize,    // 发布时间
    uids: [u32],   // 指定用户ID   空数组表示所有用户
    annex: str,    // 附件 自由组装
}

/**
* 延迟消息ID
*/
#[primary=key,db=logfile]
struct DelayMsgID {
    key: str,    // 标签 'notice_id' | 'email_id'
    id: u32,     // 自增ID
}