
 // 数据库读取
struct DbItem {
    ware: String,           // 表类型
    tab: String,            // 表名
    key: Option<&[u8]>,     // 序列化后的二进制数据 
    value: Option<&[u8]>    // 序列化后的二进制数据
}

//遍历表数据
struct Select {
    item: DbItem,
    page_count: u32,         // 每页大小
    descending: bool,        // 是否倒叙
}

struct Data {
    key: Option<&[u8]>,
    value: Option<&[u8]>,
}

//返回数据库表
struct DataR {
    datas: [Data],  // 数据合集
}