import { all_grays_and_project } from "pi_pt/native/pi_serv_lib/js_gray";
import * as piPtUtil from "pi_pt/util/util";


// 随机获取一个扩展虚拟机id
export const getExtVid = (gray?: number): number => {
    const gray2 = gray || piPtUtil.getLastGray();
    if (!(typeof gray2 === 'number')) {
        return undefined;
    }
    return piPtUtil.getExtVid(gray2);
}


// 获取所有灰度和版本
export const getAllGrayVersions = (): [number, string][] => {
    let listStr = all_grays_and_project();
    console.log("getAllGrayVersions:", listStr);
    let list: [number, string][] = JSON.parse(listStr);
    return list;
}