
export const resultOk = (data?: any) => {
    return resultHandle("success", data);
}

export const resultErr = (message?: string) => {
    return resultHandle("error", null, message);
}

const resultHandle = (status, data = null, message = null) => {

    const response: any = {
        status,
    };

    if (data !== null) {
        response.data = data;
    }

    if (message !== null) {
        response.message = message;
    }

    return response;
}